package ascio.v2.examples;
import com.ascio.www._2007._01.*;
import com.ascio.www._2007._01.holders.*;
import ascio.lib.*;

public class SearchContactExample {
	public static Response main() {
		AscioConfig config = new AscioConfig();
		V2 env = config.getTesting().getV2();


		Clause clause =  new Clause();
		clause.setAttribute("AttributeTest");
		clause.setOperator(SearchOperatorType.Is);
		clause.setValue("Mr.");

		Clause[] clauses = new Clause[]{clause};



		SearchCriteria criteria =  new SearchCriteria();
		criteria.setClauses(clauses);
		criteria.setMode(SearchModeType.Strict);
		criteria.setWithoutstates(new String[]{"WithoutstatesTest"});
		criteria.setWithstates(new String[]{"WithstatesTest"});


		try {
			//outputs holders

			ResponseHolder searchContactResultHolder = new ResponseHolder();
			ArrayOfContactHolder contactsHolder = new ArrayOfContactHolder();

			env.getClient().searchContact(env.getSessionId(), criteria, searchContactResultHolder, contactsHolder);

			Response response = searchContactResultHolder.value;

			System.out.println("SearchContact ResultCode\t: " + response.getResultCode().toString());
			System.out.println("SearchContact Message\t: " + response.getMessage());
			if(response.getResultCode() == 400) {
				for( String value : response.getValues()) {
					System.out.println("Error:	" + value);
				}
			}
			return response;
           
		} catch (Exception e) {
			System.out.print(e);
		}
		return new Response();

	}
}