package ascio.v3.examples;
import java.util.Calendar;
import com.ascio.www._2013._02.*;
import ascio.lib.*;

public class RegisterMarkOrderRequestExample {
	public static CreateOrderResponse main() {
		AscioConfig config = new AscioConfig();
		V3 env = config.getTesting().getV3();
		String fileContentString = "abc123";


		Registrant owner =  new Registrant();
		owner.setFirstName("John");
		owner.setLastName("Doe");
		owner.setAddress1("Address1Test");
		owner.setCity("CityTest");
		owner.setPostalCode("888349");
		owner.setCountryCode("DK");
		owner.setPhone("+45.123456789");
		owner.setEmail("administrator@ascio-test-domain.com");

		ExtensionsKeyValue resellerExtensions[] =  new ExtensionsKeyValue[]{new ExtensionsKeyValue()};
		resellerExtensions[0].setKey("Title");
		resellerExtensions[0].setValue("Mrs.");



		Contact reseller =  new Contact();
		reseller.setFirstName("John");
		reseller.setLastName("Doe");
		reseller.setOrgName("Ascio");
		reseller.setAddress1("Address1Test");
		reseller.setCity("CityTest");
		reseller.setState("StateTest");
		reseller.setPostalCode("888349");
		reseller.setCountryCode("DK");
		reseller.setPhone("+45.123456789");
		reseller.setEmail("administrator@ascio-test-domain.com");
		reseller.setType("owner");
		reseller.setExtensions(resellerExtensions);

		ExtensionsKeyValue markExtensions[] =  new ExtensionsKeyValue[]{new ExtensionsKeyValue()};



		CourtValidatedMark mark =  new CourtValidatedMark();
		mark.setHandle("JD123");
		mark.setMarkName("MarkNameTest");
		mark.setMarkId("MarkIdTest");
		mark.setAuthInfo("X4FF!zu");
		mark.setServiceType(MarkServiceType.Standard);
		mark.setGoodsAndServicesDescription("GoodsAndServicesDescriptionTest");
		mark.setLabels(new String[]{"LabelsTest"});
		mark.setClaimEmailNotification1("ClaimEmailNotification1Test");
		mark.setClaimEmailNotification2("ClaimEmailNotification2Test");
		mark.setClaimEmailNotification3("ClaimEmailNotification3Test");
		mark.setClaimEmailNotification4("ClaimEmailNotification4Test");
		mark.setClaimEmailNotification5("ClaimEmailNotification5Test");
		mark.setNotificationFrequency(NotificationFrequencyType.Daily);
		mark.setOwner(owner);
		mark.setReseller(reseller);
		mark.setExtensions(markExtensions);
		mark.setCourtName("CourtNameTest");
		mark.setReferenceNumber("ReferenceNumberTest");
		mark.setCountry("DK");
		mark.setRegion("RegionTest");
		mark.setProtectionDate(Calendar.getInstance());


		MarkOrderDocument markOrderDocument =  new MarkOrderDocument();
		markOrderDocument.setFileName("anything.jpg");
		markOrderDocument.setContent(fileContentString.getBytes());
		markOrderDocument.setDocType(MarkOrderDocType.TrademarkAssigneeDeclaration);

		MarkOrderDocument[] documents = new MarkOrderDocument[]{markOrderDocument};



		MarkOrderRequest request =  new MarkOrderRequest();
		request.setType(OrderType.Register);
		request.setPeriod(1);
		request.setTransactionComment("TransactionCommentTest");
		request.setComments("CommentsTest");
		request.setDocumentation("DocumentationTest");
		request.setOptions("OptionsTest");
		request.setMark(mark);
		request.setDocuments(documents);


		try {
			CreateOrderResponse response = env.getClient().createOrder(request);			
			System.out.println("response\n");
			System.out.println("CreateOrder Code\t:" + response.getResultCode());
			System.out.println("CreateOrder Message\t: " + response.getResultMessage());

			System.out.println("Created OrderId	: "+response.getOrderInfo().getOrderId());
			if(response.getResultCode() > 200){
				for(String error : response.getErrors()) {
					System.out.print(error);
				}	
			}		
			return response;
           
		} catch (Exception e) {
			System.out.print(e);
		}
		return new CreateOrderResponse();

	}
}