package ascio.v3.examples;
import com.ascio.www._2013._02.*;
import ascio.lib.*;

public class UploadDocumentationExample {
	public static UploadDocumentationResponse main() {
		AscioConfig config = new AscioConfig();
		V3 env = config.getTesting().getV3();
		String fileContentString = "abc123";


		Attachment attachment =  new Attachment();
		attachment.setFileName("anything.jpg");
		attachment.setContent(fileContentString.getBytes());

		Attachment[] documents = new Attachment[]{attachment};



		UploadDocumentationRequest request =  new UploadDocumentationRequest();
		request.setOrderId("TEST123456");
		request.setDocuments(documents);


		try {
			UploadDocumentationResponse response = env.getClient().uploadDocumentation(request);			
			System.out.println("response\n");
			System.out.println("UploadDocumentation Code\t:" + response.getResultCode());
			System.out.println("UploadDocumentation Message\t: " + response.getResultMessage());

			if(response.getResultCode() > 200){
				for(String error : response.getErrors()) {
					System.out.print(error);
				}	
			}		
			return response;
           
		} catch (Exception e) {
			System.out.print(e);
		}
		return new UploadDocumentationResponse();

	}
}