package ascio.v3.examples;
import com.ascio.www._2013._02.*;
import ascio.lib.*;

public class RegisterDefensiveOrderRequestExample {
	public static CreateOrderResponse main() {
		AscioConfig config = new AscioConfig();
		V3 env = config.getTesting().getV3();


		Registrant owner =  new Registrant();
		owner.setFirstName("John");
		owner.setLastName("Doe");
		owner.setAddress1("Address1Test");
		owner.setCity("CityTest");
		owner.setPostalCode("888349");
		owner.setCountryCode("DK");
		owner.setEmail("administrator@ascio-test-domain.com");


		Contact admin =  new Contact();
		admin.setFirstName("John");
		admin.setLastName("Doe");
		admin.setAddress1("Address1Test");
		admin.setCity("CityTest");
		admin.setPostalCode("888349");
		admin.setCountryCode("DK");
		admin.setEmail("administrator@ascio-test-domain.com");


		Contact tech =  new Contact();
		tech.setFirstName("John");
		tech.setLastName("Doe");
		tech.setAddress1("Address1Test");
		tech.setCity("CityTest");
		tech.setPostalCode("888349");
		tech.setCountryCode("DK");
		tech.setEmail("administrator@ascio-test-domain.com");


		Contact billing =  new Contact();
		billing.setFirstName("John");
		billing.setLastName("Doe");
		billing.setAddress1("Address1Test");
		billing.setCity("CityTest");
		billing.setPostalCode("888349");
		billing.setCountryCode("DK");
		billing.setEmail("administrator@ascio-test-domain.com");


		Contact reseller =  new Contact();
		reseller.setFirstName("John");
		reseller.setLastName("Doe");
		reseller.setAddress1("Address1Test");
		reseller.setCity("CityTest");
		reseller.setPostalCode("888349");
		reseller.setCountryCode("DK");
		reseller.setEmail("administrator@ascio-test-domain.com");


		Defensive defensive =  new Defensive();
		defensive.setHandle("JD123");
		defensive.setName("ascio-is-great.com");
		defensive.setMarkHandle("MarkHandleTest");
		defensive.setAuthInfo("X4FF!zu");
		defensive.setEncoding("EncodingTest");
		defensive.setOwner(owner);
		defensive.setAdmin(admin);
		defensive.setTech(tech);
		defensive.setBilling(billing);
		defensive.setReseller(reseller);
		defensive.setObjectComment("Example Object Comment");


		DefensiveOrderRequest request =  new DefensiveOrderRequest();
		request.setType(OrderType.Register);
		request.setPeriod(1);
		request.setTransactionComment("TransactionCommentTest");
		request.setComments("CommentsTest");
		request.setDocumentation("DocumentationTest");
		request.setOptions("OptionsTest");
		request.setDefensive(defensive);
		request.setAgreedPrice(1);


		try {
			CreateOrderResponse response = env.getClient().createOrder(request);			
			System.out.println("response\n");
			System.out.println("CreateOrder Code\t:" + response.getResultCode());
			System.out.println("CreateOrder Message\t: " + response.getResultMessage());

			System.out.println("Created OrderId	: "+response.getOrderInfo().getOrderId());
			if(response.getResultCode() > 200){
				for(String error : response.getErrors()) {
					System.out.print(error);
				}	
			}		
			return response;
		} catch (Exception e) {
			System.out.print(e);
		}
		return new CreateOrderResponse();

	}
}